Module jdk.incubator.httpclient
Package jdk.incubator.http

## Class HttpTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - jdk.incubator.http.HttpTimeoutException

- All Implemented Interfaces:
    `Serializable`

      public class HttpTimeoutException
      extends IOException

  Thrown when a response is not received within a specified time period.
  Incubating Feature. Will be removed in a future release.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpTimeoutException​(String message)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### HttpTimeoutException

          public HttpTimeoutException​(String message)